commit: 389182d63c14a139702e7877bd054355d7048e7c
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 30 06:08:36 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jul 30 06:08:36 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=389182d6
dev-python/python-jose: Bump to 3.2.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/python-jose/Manifest | 1 +
dev-python/python-jose/python-jose-3.2.0.ebuild | 35 +++++++++++++++++++++++++
2 files changed, 36 insertions(+)
diff --git a/dev-python/python-jose/Manifest b/dev-python/python-jose/Manifest
index 3d638d4c0a7..5424b7f8c58 100644
--- a/dev-python/python-jose/Manifest
+++ b/dev-python/python-jose/Manifest
@@ -1 +1,2 @@
DIST python-jose-3.1.0.tar.gz 101693 BLAKE2B
1ee43ac5aef673f32c3d56e492784e28939b8f74a8232a83d31381b3f978d96ab132c94527df686b52f60c2865936ce022c2cd31ea66f009a83772d1389a7d4a
SHA512
c4a04bed8fc17d65cb8fc9b2cf37996edb50fa0dcdc2dedd76a97c784f8af34a9c86748ea2f9ea348955ce780035fbe3a756abc8e1eb5e9b77ad57d411622c6b
+DIST python-jose-3.2.0.tar.gz 102183 BLAKE2B
edc0b0e651ec63333345eb29e0c08649823d8c59e88e2f39127081a04c2afedee0ae1c83709dc45bd81f4143cc0e1e76d22117ea11160ab6418372c69f1b216a
SHA512
f81e0284ef2df05a5b2dfc5448f3cce0c8988c4ba5d40f935666ee1693a964db3db62609a38192e317bab6b3945fc5c3122b59f373dbc308363d123ea9752efa
diff --git a/dev-python/python-jose/python-jose-3.2.0.ebuild
b/dev-python/python-jose/python-jose-3.2.0.ebuild
new file mode 100644
index 00000000000..196f19e60fc
--- /dev/null
+++ b/dev-python/python-jose/python-jose-3.2.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6..9} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="A JavaScript Object Signing and Encryption (JOSE) implementation
in Python"
+HOMEPAGE="https://github.com/mpdavis/python-jose
https://pypi.org/project/python-jose/"
+# pypi tarball lacks unit tests
+SRC_URI="https://github.com/mpdavis/python-jose/archive/${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/ecdsa[${PYTHON_USEDEP}]
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ >=dev-python/pycryptodome-3.3.1[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -e '/pytest-runner/d' -i setup.py || die
+ sed -e '/addopts/d' -i setup.cfg || die
+ sed -e 's:test_key_too_short:_&:' \
+ -i tests/algorithms/test_EC.py || die
+ distutils-r1_python_prepare_all
+}